org.apache.ignite.internal.visor.igfs

## Class VisorIgfsProfilerEntry

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.igfs.VisorIgfsProfilerEntry

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorIgfsProfilerEntry
    extends VisorDataTransferObject

Visor IGFS profiler information about one file.

See Also:
  Serialized Form

### Field Summary

Fields
`static Comparator<VisorIgfsProfilerEntry>` `ENTRY_TIMESTAMP_COMPARATOR` Timestamp comparator.

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsProfilerEntry()` Default constructor.
`VisorIgfsProfilerEntry(String path, long ts, IgfsMode mode, long size, long bytesRead, long readTime, long userReadTime, long bytesWritten, long writeTime, long userWriteTime, VisorIgfsProfilerUniformityCounters counters)` Create data transfer object with given parameters.

### Method Summary

Methods
`long` `getBytesRead()`
`long` `getBytesWritten()`
`VisorIgfsProfilerUniformityCounters` `getCounters()`
`IgfsMode` `getMode()`
`String` `getPath()`
`long` `getReadSpeed()`
`long` `getReadTime()`
`long` `getSize()`
`long` `getTimestamp()`
`double` `getUniformity()`
`long` `getUserReadTime()`
`long` `getUserWriteTime()`
`long` `getWriteSpeed()`
`long` `getWriteTime()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ENTRY_TIMESTAMP_COMPARATOR

    public static final Comparator<VisorIgfsProfilerEntry> ENTRY_TIMESTAMP_COMPARATOR

Timestamp comparator.

### Constructor Detail

#### VisorIgfsProfilerEntry

    public VisorIgfsProfilerEntry()

Default constructor.

#### VisorIgfsProfilerEntry

    public VisorIgfsProfilerEntry(String path,
                          long ts,
                          IgfsMode mode,
                          long size,
                          long bytesRead,
                          long readTime,
                          long userReadTime,
                          long bytesWritten,
                          long writeTime,
                          long userWriteTime,
                          VisorIgfsProfilerUniformityCounters counters)

Create data transfer object with given parameters.

### Method Detail

#### getPath

    public String getPath()

Returns:
  Path to file.

#### getTimestamp

    public long getTimestamp()

Returns:
  Timestamp of last file operation.

#### getMode

    public IgfsMode getMode()

Returns:
  IGFS mode.

#### getSize

    public long getSize()

Returns:
  File size.

#### getBytesRead

    public long getBytesRead()

Returns:
  How many bytes were read.

#### getReadTime

    public long getReadTime()

Returns:
  How long read take.

#### getUserReadTime

    public long getUserReadTime()

Returns:
  User read time.

#### getBytesWritten

    public long getBytesWritten()

Returns:
  How many bytes were written.

#### getWriteTime

    public long getWriteTime()

Returns:
  How long write take.

#### getUserWriteTime

    public long getUserWriteTime()

Returns:
  User write read time.

#### getUniformity

    public double getUniformity()

Returns:
  Calculated uniformity.

#### getCounters

    public VisorIgfsProfilerUniformityCounters getCounters()

Returns:
  Counters for uniformity calculation.

#### getReadSpeed

    public long getReadSpeed()

Returns:
  Read speed in bytes per second or `-1` if speed not available.

#### getWriteSpeed

    public long getWriteSpeed()

Returns:
  Write speed in bytes per second or `-1` if speed not available.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017